<div class="animated fadeIn">
  <app-search (search)="searchForName($event)"></app-search>
  <ng-container *ngIf="!loading">
    <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [filter]="filter" [filterable]="true"
      [navigable]="true" [reorderable]="true" [resizable]="true" [sort]="sort" [sortable]="true"
      (selectionChange)="selectRow($event)" [pageSize]="pageSize" [skip]="skip"
      [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" (pageChange)="pageChange($event)" style="height: 63vh;"
      class="mt-1">
      <kendo-grid-column field="rfc" title="R.F.C" width="160"></kendo-grid-column>
      <kendo-grid-column field="Sucursal" title="Sucursal" [width]="110"></kendo-grid-column>
      <kendo-grid-column field="rrsocial" title="Razón Social" width="250"></kendo-grid-column>
      <kendo-grid-column field="rnotas" title="Notas" width="200" [filterable]="false"></kendo-grid-column>
    </kendo-grid>
  </ng-container>
</div>

<app-loading *ngIf="loading"></app-loading>